Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.message.body.content
Class ServiceControlCommand

    java.lang.Object
      org.jboss.soa.esb.message.body.content.ServiceControlCommand

All Implemented Interfaces:
  java.io.Serializable

    public class ServiceControlCommand

extends java.lang.Object
implements java.io.Serializable

ServiceControlCommand is a serializable bean that contains JMX operations information. This data is passed in a command message from the OperationsCollector to the OperationsFiler. ServiceControlCommand is used by the ESB Monitoring and Management console to invoke JMX operations, but it can also be used in custom applications where you wish to control the state of ESB services. See product/tools/console/invoke.jsp for an example of how to send a ServiceControlCommand within a message in order to an invoke a JMX Operation.

Since:
  Version 4.2
Author:
  Tom Cunningham
See Also:
  Serialized Form

Constructor Summary
`ServiceControlCommand(javax.management.ObjectName f_objectname, javax.management.MBeanOperationInfo mboi, java.lang.String f_server)`
`ServiceControlCommand(java.lang.String f_objectName, java.lang.String f_server, java.util.Date f_collectionTime, java.lang.String f_operation, java.lang.String f_description, java.lang.String f_returntype)`

Method Summary
`java.lang.String` | `getAttribute()` Attribute name getter.
`java.util.Date` | `getCollectionTime()` Collection time getter.
`java.lang.String` | `getDescription()` Description name getter.
`java.lang.Long` | `getId()` Id name getter.
`java.lang.String` | `getObjectName()` Object name getter.
`java.lang.String` | `getOperation()` Object data getter.
`java.lang.String` | `getReturntype()` Return type name getter.
`java.lang.String` | `getServer()` Server name getter.
`void` | `setAttribute(java.lang.String attribute)` Attribute name mutator.
`void` | `setCollectionTime(java.util.Date collectionTime)` Collection time mutator.
`void` | `setDescription(java.lang.String description)` Description name mutator.
`void` | `setId(java.lang.Long id)` Id name mutator.
`void` | `setObjectName(java.lang.String objectName)` Object name setter.
`void` | `setOperation(java.lang.String operation)` Object data mutator.
`void` | `setReturntype(java.lang.String returntype)` Return type name mutator.
`void` | `setServer(java.lang.String server)` Server name mutator.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServiceControlCommand

    public ServiceControlCommand(java.lang.String f_objectName,
                                 java.lang.String f_server,
                                 java.util.Date f_collectionTime,
                                 java.lang.String f_operation,
                                 java.lang.String f_description,
                                 java.lang.String f_returntype)

### ServiceControlCommand

    public ServiceControlCommand(javax.management.ObjectName f_objectname,
                                 javax.management.MBeanOperationInfo mboi,
                                 java.lang.String f_server)

Method Detail

### getId

    public java.lang.Long getId()

  Id name getter.

  Returns:
    id id

### setId

    public void setId(java.lang.Long id)

  Id name mutator.

  Parameters:
    `id` - id

### getAttribute

    public java.lang.String getAttribute()

  Attribute name getter.

  Returns:
    attribute name

### setAttribute

    public void setAttribute(java.lang.String attribute)

  Attribute name mutator.

  Parameters:
    `attribute` - attribute name

### getCollectionTime

    public java.util.Date getCollectionTime()

  Collection time getter.

  Returns:
    collection time

### setCollectionTime

    public void setCollectionTime(java.util.Date collectionTime)

  Collection time mutator.

  Parameters:
    `collectionTime` - collection time

### getOperation

    public java.lang.String getOperation()

  Object data getter.

  Returns:
    data

### setOperation

    public void setOperation(java.lang.String operation)

  Object data mutator.

  Parameters:
    `data` - data

### getObjectName

    public java.lang.String getObjectName()

  Object name getter.

  Returns:
    object name

### setObjectName

    public void setObjectName(java.lang.String objectName)

  Object name setter.

  Parameters:
    `objectName` - object name

### getServer

    public java.lang.String getServer()

  Server name getter.

  Returns:
    server name

### setServer

    public void setServer(java.lang.String server)

  Server name mutator.

  Parameters:
    `server` - server name

### getDescription

    public java.lang.String getDescription()

  Description name getter.

  Returns:
    server name

### setDescription

    public void setDescription(java.lang.String description)

  Description name mutator.

  Parameters:
    `server` - server name

### getReturntype

    public java.lang.String getReturntype()

  Return type name getter.

  Returns:
    server name

### setReturntype

    public void setReturntype(java.lang.String returntype)

  Return type name mutator.

  Parameters:
    `server` - server name

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD